Palo Alto Networks Security Advisories / CVE-2020-2031

CVE-2020-2031 PAN-OS: Integer underflow in the management interface

047910
Severity 4.9 · MEDIUM
Attack Vector NETWORK
Attack Complexity LOW
Privileges Required HIGH
User Interaction NONE
Scope UNCHANGED
Confidentiality Impact NONE
Integrity Impact NONE
Availability Impact HIGH

Description

An integer underflow vulnerability in the dnsproxyd component of the PAN-OS management interface allows authenticated administrators to issue a command from the command line interface that causes the component to stop responding. Repeated attempts to send this request result in denial of service to all PAN-OS services by restarting the device and putting it into maintenance mode.

This issue impacts:

PAN-OS 9.1 versions earlier than PAN-OS 9.1.3.

This issue does not impact PAN-OS 8.1, PAN-OS 9.0, or Prisma Access services.

Product Status

VersionsAffectedUnaffected
PAN-OS 9.1< 9.1.3>= 9.1.3
PAN-OS 9.0None9.0.*
PAN-OS 8.1None8.1.*

Severity: MEDIUM

CVSSv3.1 Base Score: 4.9 (CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H)

Weakness Type

CWE-191 Integer Underflow (Wrap or Wraparound)

Solution

This issue is fixed in PAN-OS 9.1.3 and all later PAN-OS versions.

Workarounds and Mitigations

This issue impacts the PAN-OS management interface but you can mitigate the impact of this issue by following best practices for securing the PAN-OS management interface. Please review the Best Practices for Securing Administrative Access in the PAN-OS technical documentation, available at https://docs.paloaltonetworks.com/best-practices.

Acknowledgments

This issue was discovered by Jin Chen of Palo Alto Networks during internal security review.

Timeline

Initial publication
© 2020 Palo Alto Networks, Inc. All rights reserved.